> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/attachments.md).

# Attachments

## Find attachments

> Returns attachments matching the given search criteria. Only parameters that are specified in this request and have not \<code>null\</code> values are used for filtering. All other parameters are ignored. The returned attachments satisfy all constraints that are specified in this search criteria.	By default a result containing 1000 attachments is returned.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AttachmentPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/AttachmentImpl"}}}},"AttachmentImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"baseResource":{"$ref":"#/components/schemas/ResourceReference"},"file":{"$ref":"#/components/schemas/FileReferenceImpl"}}},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."},"FileReferenceImpl":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the file","format":"uuid"},"name":{"type":"string","description":"The name of the file."},"contentType":{"type":"string","description":"The MIME type of the file content."}},"description":"The reference to the file contained by this attachment."}}},"paths":{"/attachments":{"get":{"tags":["Attachments"],"summary":"Find attachments","description":"Returns attachments matching the given search criteria. Only parameters that are specified in this request and have not <code>null</code> values are used for filtering. All other parameters are ignored. The returned attachments satisfy all constraints that are specified in this search criteria.\tBy default a result containing 1000 attachments is returned.","operationId":"findAttachments","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}},{"name":"fileName","in":"query","description":"The name of the file representing searched attachment.","schema":{"type":"string"}},{"name":"fileContentType","in":"query","description":"The type of the content of the file representing searched attachment.","schema":{"type":"string"}},{"name":"uploadDate","in":"query","description":"The date of attachment upload. It is the timestamp (in UTC time standard).","schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"query","description":"The ID of the user who uploaded the attachment.","schema":{"type":"string","format":"uuid"}},{"name":"baseResourceId","in":"query","description":"The ID of the resource the attachment refers to.","schema":{"type":"string","format":"uuid"}},{"name":"sortField","in":"query","description":"The field that should be used as reference for sorting.","schema":{"type":"string","enum":["FILE_CONTENT_TYPE","CREATED_BY","FILE_NAME","CREATED_ON","BASE_RESOURCE_ID","LAST_MODIFIED"],"default":"LAST_MODIFIED"}},{"name":"sortOrder","in":"query","description":"The order of sorting.","schema":{"type":"string","enum":["ASC","DESC"],"default":"DESC"}}],"responses":{"200":{"description":"OK - The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentPagedResponse"}}}},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Add attachment

> Adds new attachment.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AttachmentImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"baseResource":{"$ref":"#/components/schemas/ResourceReference"},"file":{"$ref":"#/components/schemas/FileReferenceImpl"}}},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."},"FileReferenceImpl":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the file","format":"uuid"},"name":{"type":"string","description":"The name of the file."},"contentType":{"type":"string","description":"The MIME type of the file content."}},"description":"The reference to the file contained by this attachment."}}},"paths":{"/attachments":{"post":{"tags":["Attachments"],"summary":"Add attachment","description":"Adds new attachment.","operationId":"addAttachment","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","description":"the file - attachment content","format":"binary"},"fileName":{"type":"string","description":"the display name of the file of this attachment"},"resourceType":{"type":"string","description":"the type of the resource the attachment should refer to.\nAn attachment can be added on those resource types: User, Community, Domain, Asset.\nThis parameter is deprecated, please use resourceDiscriminator instead.","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"the discriminator of the resource the attachment should refer to.\nFollowing discriminators are valid for attachments : User, Community, Domain, Asset."},"resourceId":{"type":"string","description":"the id of the resource the attachment should refer to","format":"uuid"}}}}}},"responses":{"201":{"description":"Created - The request has been fulfilled and resulted in a new resource being created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentImpl"}}}},"400":{"description":"Bad Request - Request data is malformed or illegal. The request body will contain additional information."},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Get attachment

> Returns information about the attachment identified by id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AttachmentImpl":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"baseResource":{"$ref":"#/components/schemas/ResourceReference"},"file":{"$ref":"#/components/schemas/FileReferenceImpl"}}},"ResourceReference":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the referenced resource.","format":"uuid"},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"resourceDiscriminator":{"type":"string","description":"The resource discriminator, which indicates the type of the referenced resource, e.g. \"Community\", \"Asset\", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values."}},"description":"Represents reference to the resource."},"FileReferenceImpl":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the file","format":"uuid"},"name":{"type":"string","description":"The name of the file."},"contentType":{"type":"string","description":"The MIME type of the file content."}},"description":"The reference to the file contained by this attachment."}}},"paths":{"/attachments/{attachmentId}":{"get":{"tags":["Attachments"],"summary":"Get attachment","description":"Returns information about the attachment identified by id.","operationId":"getAttachment","parameters":[{"name":"attachmentId","in":"path","description":"the id of the attachment","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK - The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentImpl"}}}},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Not Found - One of the requested resources could not be found or the requested URI is invalid."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Remove attachment

> Removes attachment identified by given id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/attachments/{attachmentId}":{"delete":{"tags":["Attachments"],"summary":"Remove attachment","description":"Removes attachment identified by given id.","operationId":"removeAttachment","parameters":[{"name":"attachmentId","in":"path","description":"the id of the attachment","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content - The server has fulfilled the request but does not need to return an entity-body."},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Not Found - One of the requested resources could not be found or the requested URI is invalid."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```

## Get attachment content

> Returns content of the attachment identified by given id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/attachments/{attachmentId}/file":{"get":{"tags":["Attachments"],"summary":"Get attachment content","description":"Returns content of the attachment identified by given id.","operationId":"getAttachmentContent","parameters":[{"name":"attachmentId","in":"path","description":"the id of the attachment","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK - The request has succeeded.","content":{"application/json":{"schema":{"type":"string","description":"The attachment content","format":"binary"}}}},"401":{"description":"Unauthorized - Authentication has failed or has not been provided."},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Not Found - One of the requested resources could not be found or the requested URI is invalid."},"500":{"description":"Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-governance/attachments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
